Page MenuHomePhabricator

Make AbuseFilter::revisionToString work across slots
Closed, ResolvedPublic

Description

Most AbuseFilter variables operate based on a string representation of revision content. Non-textual content is converted to text by calling Content::getTextForSearchIndex. That is, AbuseFilter already has to assume that the string it operates on is plain text, and cannot be parsed using any particular syntax.

Because this is the case, it should be safe to simply concatenate the string representation of the Content of all slots of a given revision, as returned by AbuseFilter::contentToString.

Details

Related Gerrit Patches:
mediawiki/extensions/AbuseFilter : masterExpose text from all slots to AbuseFilter

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

daniel triaged this task as High priority.Nov 12 2018, 3:28 PM
daniel created this task.

Change 473031 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/extensions/AbuseFilter@master] Expose text from all slots to AbuseFilter

https://gerrit.wikimedia.org/r/473031

Jdforrester-WMF lowered the priority of this task from High to Normal.Dec 4 2018, 8:01 PM
Jdforrester-WMF raised the priority of this task from Normal to High.
Jdforrester-WMF moved this task from To Do to Doing on the Structured Data Engineering board.

Change 473031 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Expose text from all slots to AbuseFilter

https://gerrit.wikimedia.org/r/473031

daniel closed this task as Resolved.Dec 10 2018, 2:46 PM
greg added a project: Multimedia.Mar 7 2019, 10:59 PM